<script setup lang="ts">
import { ArrowUpRight } from 'lucide-vue-next'
interface Projects {
  year: string
  link: string
  name: string
  company: string
}
const props = defineProps<{ items: Projects[] }>()
const items = computed(() => props.items);
</script>

<template>
  <section class="relative mb-14 last:mb-0">
    <div v-for="item in items" class="flex flex-col sm:gap-x-4 sm:flex-row my-4 mb-9 ml-4">
      <div class="elative sm:mr-6 dark:text-darkest whitespace-nowrap after:content-year-to-year after:invisible">
        <span class="absolute text-sm">{{ item.year }} </span>
      </div>
      <div class="break-words">
        <div class="relative">
          <a :href="item.link" class="hover:underline text-sm">
            {{ item.name }} <span>at {{ item.company }}</span>
          </a>
          <ArrowUpRight class="inline-block ml-1 size-4" />
        </div>
      </div>
    </div>
  </section>
</template>